/*
 * Copyright (c) 2013 Vojtech Horky
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** @addtogroup libposix
 * @{
 */
/** @file Pthread: condition variables.
 */

#define LIBPOSIX_INTERNAL
#define __POSIX_DEF__(x) posix_##x

#include "posix/pthread.h"
#include "errno.h"

int pthread_cond_init(pthread_cond_t *restrict condvar,
    const pthread_condattr_t *restrict attr)
{
	return ENOTSUP;
}

int pthread_cond_destroy(pthread_cond_t *condvar)
{
	return ENOTSUP;
}

int pthread_cond_broadcast(pthread_cond_t *condvar)
{
	return ENOTSUP;
}

int pthread_cond_signal(pthread_cond_t *condvar)
{
	return ENOTSUP;
}

int pthread_cond_timedwait(pthread_cond_t *restrict condvar,
    pthread_mutex_t *restrict mutex, const struct __POSIX_DEF__(timespec) *restrict timeout)
{
	return ENOTSUP;
}

int pthread_cond_wait(pthread_cond_t *restrict condvar,
    pthread_mutex_t *restrict mutex)
{
	return ENOTSUP;
}


int pthread_condattr_init(pthread_condattr_t *attr)
{
	return ENOTSUP;
}

int pthread_condattr_destroy(pthread_condattr_t *attr)
{
	return ENOTSUP;
}


/** @}
 */
